Package org.springframework.security.web.webauthn.api

# Interface AuthenticationExtensionsClientOutputs

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `ImmutableAuthenticationExtensionsClientOutputs`

public interface AuthenticationExtensionsClientOutputs extends Serializable
AuthenticationExtensionsClientOutputs is a dictionary containing the client extension output values for zero or more WebAuthn Extensions.

Since:
  6.4
See Also:
  - `PublicKeyCredential.getClientExtensionResults()`

## Method Summary

Modifier and Type
Method
Description
`List<AuthenticationExtensionsClientOutput<?>>`
`getOutputs()`
Gets all of the `AuthenticationExtensionsClientOutput`.

## Method Details

### getOutputs

List<AuthenticationExtensionsClientOutput<?>> getOutputs()
Gets all of the `AuthenticationExtensionsClientOutput`.

Returns:
  a non-null `List` of `AuthenticationExtensionsClientOutput`.